PublicApiReplyToInboxThread
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectorId": "<string>",
"subject": "<string>",
"body": "<string>",
"cc": [],
"bcc": [],
"attachmentIds": [
"<string>"
],
"acknowledgedWarnings": [],
"lastSeenAt": "2023-11-07T05:31:56Z",
"undoWindowSeconds": 17
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectorId: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
cc: [],
bcc: [],
attachmentIds: ['<string>'],
acknowledgedWarnings: [],
lastSeenAt: '2023-11-07T05:31:56Z',
undoWindowSeconds: 17
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Inbox
PublicApiReplyToInboxThread
POST /api/v1/organizations//workspaces//inbox/threads//reply
POST
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
inbox
/
threads
/
{threadId}
/
reply
PublicApiReplyToInboxThread
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectorId": "<string>",
"subject": "<string>",
"body": "<string>",
"cc": [],
"bcc": [],
"attachmentIds": [
"<string>"
],
"acknowledgedWarnings": [],
"lastSeenAt": "2023-11-07T05:31:56Z",
"undoWindowSeconds": 17
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectorId: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
cc: [],
bcc: [],
attachmentIds: ['<string>'],
acknowledgedWarnings: [],
lastSeenAt: '2023-11-07T05:31:56Z',
undoWindowSeconds: 17
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/inbox/threads/{threadId}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Legacy compatibility bearer scheme for generated consumers.
Body
application/json
Pattern:
^[0-9a-fA-F]{24}$Required string length:
1 - 300Required string length:
1 - 50000Maximum array length:
10Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Maximum array length:
5Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Maximum array length:
5Pattern:
^[a-f0-9]{24}$Available options:
rate_limited, daily_cap_reached, blocked_domain, recipient_suppressed, recipient_unsubscribed, active_sequence, newer_message Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Required range:
5 <= x <= 30Response
Successful response
The response is of type object.